%global momorel 1

Summary: Enlightened Core X interface library
Name: ecore
Version: 0.9.9.043
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: User Interface/X
URL: http://www.enlightenment.org/efm.html
Source0: http://download.enlightenment.org/snapshots/2008-05-19/%{name}-%{version}.tar.bz2
NoSource: 0
# Patch0: ecore-1.0.0-20060910-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  eet-devel evas-devel >= 0.9.9.043-1m libX11-devel libXext-devel 
BuildRequires:  libXcursor-devel libXrender-devel libxcb-devel 
BuildRequires:  libXinerama-devel libXrandr-devel libXScrnSaver-devel 
BuildRequires:  libXcomposite-devel libXfixes-devel libXdamage-devel 
BuildRequires:  xorg-x11-proto-devel SDL-devel 
BuildRequires:  openssl-devel libcurl-devel chrpath doxygen pkgconfig
BuildPreReq: perl, pkgconfig, doxygen
BuildPreReq: openssl-devel >= 0.9.8a
PreReq: openldap-devel
PreReq: libssh2-devel
BuildPreReq: evas-devel >= 0.9.9.043-1m

%description
Ecore is the event/X abstraction layer that makes doing selections,
Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
optimized, and convenient.


%package devel
Summary: Ecore headers and development libraries.
Group: Development/Libraries
Requires: %{name} =  %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static --enable-ecore-fb --enable-ecore-sdl --enable-ecore-desktop
make %{?_smp_mflags}
sed -i -e 's/$projectname Documentation Generated: $datetime/$projectname Documentation/' doc/foot.html
./gendoc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' transform='s,x,x,'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}_config
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib%{name}_*.so*
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove unfinished manpages
find doc/man/man3 -size -100c -delete
rm -f doc/man/man3/todo.3 # remove todo
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
# install crashes on long file lists, do "for" loop in shell instead
for f in doc/man/man3/*; do install -p -m 644 $f $RPM_BUILD_ROOT%{_mandir}/man3; done


find %{buildroot} -name "*.la" -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/ecore_*
%{_libdir}/libecore.so.*
%{_libdir}/libecore_*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.9.043-1m)
- update to 0.9.9.043

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.9.042-1m)
- merge from T4R
- 
- changelog is below
- * Mon Mar 10 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- - (0.9.9.042-1m)
- - delete %%{_bindir}/ecore-config
- - delete %%{_datadir}/aclocal/ecore.m4
- - add PreReq: openldap-devel
- - add PreReq: libssh2-devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.9.037-0.20061231.3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.9.037-0.20061231.2m)
- %%NoSource -> NoSource

* Mon Jan  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9.037-0.20061231.1m)
- version 0.9.9.037-20061231

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.9.022-0.20051209.2m)
- rebuild against openssl-0.9.8a

* Sat Dec 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9.022-0.20051209.1m)
- version 0.9.9.022-20051209

* Fri Jul  1 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9.010-0.20050627.2m)
- revised x86_64 patch

* Tue Jun 28 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9.010-0.20050627.1m)
- version 0.9.9.010-20050627

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.0-0.20050215.2m)

* Thu Feb 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-0.20050215.1m)
- version 1.0.0-20050215

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-0.20041218.3m)
- rebuild against evas-1.0.0-0.20041218.4m

* Tue Feb  1 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.0-0.20041218.2m)
- enable x86_64.

* Tue Dec 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-0.20041218.1m)
- first import to Momonga
